summaryrefslogtreecommitdiff
path: root/Master/bin/i386-freebsd/texconfig
diff options
context:
space:
mode:
Diffstat (limited to 'Master/bin/i386-freebsd/texconfig')
-rwxr-xr-xMaster/bin/i386-freebsd/texconfig276
1 files changed, 132 insertions, 144 deletions
diff --git a/Master/bin/i386-freebsd/texconfig b/Master/bin/i386-freebsd/texconfig
index 922dc7939e2..b2129f8814a 100755
--- a/Master/bin/i386-freebsd/texconfig
+++ b/Master/bin/i386-freebsd/texconfig
@@ -1,6 +1,6 @@
#!/bin/sh
-# TeX-Config version 3.0
+# TeXConfig version 3.0
# Thomas Esser, te@dbs.uni-hannover.de. Public domain.
# invoke the right shell:
@@ -24,8 +24,7 @@ test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
progname=texconfig
# the version string
-version=1168907609 # seconds since `00:00:00 1970-01-01 UTC'
- # date '+%s' (with GNU date)
+version=20080505.2038
envVars="
AFMFONTS BIBINPUTS BSTINPUTS CMAPFONTS CWEBINPUTS ENCFONTS GFFONTS
@@ -41,10 +40,10 @@ tmpdir=${TMPDIR-${TEMP-${TMP-/tmp}}}/tctmp.$$
needsCleanup=false
lastUpdatedFile=
+#
###############################################################################
-# setupFMT(void)
-# find a suitable version of fmt / adjust
-###############################################################################
+# setupFMT(void) - find a suitable version of fmt / adjust
+#
setupFMT()
{
case $FMT in
@@ -60,9 +59,8 @@ setupFMT()
}
###############################################################################
-# myFmt(args)
-# run $FMT
-###############################################################################
+# myFmt(args) - run $FMT
+#
myFmt()
{
setupFMT
@@ -72,7 +70,7 @@ myFmt()
###############################################################################
# echoShowVariable(args ...)
# show environment variables which names are as args and their values
-###############################################################################
+#
echoShowVariable()
{
for esv
@@ -86,7 +84,7 @@ echoShowVariable()
###############################################################################
# echoShowKpseVariable(args ...)
# show kpathsea variables which names are as args and their values
-###############################################################################
+#
echoShowKpseVariable()
{
for eskv
@@ -98,25 +96,27 @@ echoShowKpseVariable()
}
###############################################################################
-# echoLocateBinary(args ...)
-# show where programs actually exist
-###############################################################################
+# echoLocateBinary(args ...) - show where programs actually exist
+#
echoLocateBinary()
{
for elb
do
elbLoc=`checkForBinary "$elb"`
- case $elbLoc in
- "") echo "$elb: not found";;
- *) echo "$elb: $elbLoc";;
- esac
+ if test -n "$ELB_PATH_ONLY"; then
+ test -n "$elbLoc" && echo "$elbLoc"
+ else
+ case $elbLoc in
+ "") echo "$elb: not found";;
+ *) echo "$elb: $elbLoc";;
+ esac
+ fi
done
}
###############################################################################
-# echoLocateCfgfile(args ...)
-# show where programs actually exist
-###############################################################################
+# echoLocateCfgfile(args ...) - show where files actually exist
+#
echoLocateCfgfile()
{
for elc
@@ -133,9 +133,8 @@ echoLocateCfgfile()
}
###############################################################################
-# checkForBinary(prog)
-# echo full path of prog
-###############################################################################
+# checkForBinary(prog) - echo full path of prog
+#
checkForBinary()
{
cfbBinary=$1
@@ -159,43 +158,8 @@ checkForBinary()
}
###############################################################################
-# findDialogProg(void)
-# Some systems have their own dialog. Use it then and do not use
-# faked TERM and TERMINFO variables when calling that dialog.
-###############################################################################
-findDialogProg()
-{
- { u=`uname -s`; } 2>/dev/null
- case "$u" in
- FreeBSD|Linux|cygwin*|CYGWIN*)
- test -f /usr/bin/whiptail && DIALOG_PROG=/usr/bin/whiptail
- test -f /usr/bin/dialog && DIALOG_PROG=/usr/bin/dialog
- test -f /bin/dialog && DIALOG_PROG=/bin/dialog
- ;;
- esac
-}
-
-###############################################################################
-# runDialog(args)
-# call either tcdialog or $DIALOG_PROG
-###############################################################################
-runDialog()
-{
- test -z "$NO_CLEAR" && tty -s && clear
- case "$DIALOG_PROG" in
- "")
- TERM=$DIALOG_TERM TERMINFO=$DIALOG_TERMINFO \
- tcdialog --title "$progname setup utility" ${1+"$@"};;
- *)
- $DIALOG_PROG --title "$progname setup utility" ${1+"$@"};;
- esac
-}
-
-
-###############################################################################
-# cleanup()
-# clean up the temp area and exit with proper exit status
-###############################################################################
+# cleanup() - clean up the temp area and exit with proper exit status
+#
cleanup()
{
rc=$1
@@ -205,9 +169,8 @@ cleanup()
}
###############################################################################
-# setupTmpDir()
-# set up a temp directory and a trap to remove it
-###############################################################################
+# setupTmpDir() - set up a temp directory and a trap to remove it
+#
setupTmpDir()
{
case $needsCleanup in
@@ -221,9 +184,8 @@ setupTmpDir()
}
###############################################################################
-# setupTexmfmain()
-# get value for MT_TEXMFMAIN (with caching)
-###############################################################################
+# setupTexmfmain() - get value for MT_TEXMFMAIN (with caching)
+#
setupTexmfmain()
{
case $MT_TEXMFMAIN in
@@ -233,9 +195,8 @@ setupTexmfmain()
}
###############################################################################
-# setupTexmfmain()
-# get value for MT_TEXMFMAIN (with caching)
-###############################################################################
+# setupTexmfmain() - get value for MT_TEXMFDIST (with caching)
+#
setupTexmfdist()
{
case $MT_TEXMFDIST in
@@ -245,9 +206,8 @@ setupTexmfdist()
}
###############################################################################
-# setupTexmfvar()
-# get value for MT_TEXMFVAR (with caching)
-###############################################################################
+# setupTexmfvar() - get value for MT_TEXMFVAR (with caching)
+#
setupTexmfvar()
{
case $MT_TEXMVAR in
@@ -257,9 +217,8 @@ setupTexmfvar()
}
###############################################################################
-# setupSystexmf()
-# get value for MT_SYSTEXMF (with caching)
-###############################################################################
+# setupSystexmf() - get value for MT_SYSTEXMF (with caching)
+#
setupSystexmf()
{
case $MT_SYSTEXMF in
@@ -271,7 +230,7 @@ setupSystexmf()
###############################################################################
# abort(errmsg)
# print `errmsg' to stderr and exit with error code 1
-###############################################################################
+#
abort()
{
echo "$progname: $1." >&2
@@ -281,7 +240,7 @@ abort()
###############################################################################
# mktexdir(args)
# call mktexdir script, disable all features (to prevent sticky directories)
-###############################################################################
+#
mktexdir()
{
setupTexmfmain
@@ -289,9 +248,8 @@ mktexdir()
}
###############################################################################
-# tcfmgr(args)
-# call tcfmgr script
-###############################################################################
+# tcfmgr(args) - call tcfmgr script
+#
tcfmgr()
{
setupTexmfmain
@@ -299,9 +257,8 @@ tcfmgr()
}
###############################################################################
-# mktexupd(args)
-# call mktexupd script
-###############################################################################
+# mktexupd(args) - call mktexupd script
+#
mktexupd()
{
setupTexmfmain
@@ -312,7 +269,7 @@ mktexupd()
# getRelDir(file)
# matches file against SYSTEXMF. Returns relative directory of file within
# a texmf tree in variable relPart.
-###############################################################################
+#
getRelDir()
{
file=$1
@@ -353,10 +310,10 @@ getRelDir()
}
###############################################################################
-# configReplace(file, pattern, line)
+# configReplace(file pattern line)
# The first line in file that matches pattern gets replaced by line.
# line will be added at the end of the file if pattern does not match.
-###############################################################################
+#
configReplace()
{
configReplaceFile=$1; configReplacePat=$2; configReplaceLine=$3
@@ -377,7 +334,7 @@ eof
###############################################################################
# fmgrConfigReplace (file regex value)
# replaces line matching regex by value in file
-###############################################################################
+#
fmgrConfigReplace()
{
fmgrConfigReplaceChanged=false
@@ -421,7 +378,7 @@ fmgrConfigReplace()
###############################################################################
# setupDvipsPaper(paper)
# rearranges config.ps to make paper the first paper definition
-###############################################################################
+#
setupDvipsPaper()
{
setupDvipsPaperChanged=false
@@ -465,9 +422,8 @@ eof
}
###############################################################################
-# setupModesMfFile(void)
-# find modes.mf file (with caching)
-###############################################################################
+# setupModesMfFile(void) - find modes.mf file (with caching)
+#
setupModesMfFile()
{
case $modesMfFile in
@@ -481,9 +437,8 @@ setupModesMfFile()
}
###############################################################################
-# locateConfigPsFile(void)
-# find config.ps file (with caching)
-###############################################################################
+# locateConfigPsFile(void) - find config.ps file (with caching)
+#
locateConfigPsFile()
{
case $configPsFile in
@@ -497,9 +452,8 @@ locateConfigPsFile()
}
###############################################################################
-# listMfModes(file)
-# list modes from modes.mf file
-###############################################################################
+# listMfModes(file) - list modes from modes.mf file
+#
listMfModes()
{
grep mode_def "$modesMfFile" |
@@ -510,9 +464,8 @@ listMfModes()
}
###############################################################################
-# listDvipsPapers(void)
-# list paper definitions from config.ps
-###############################################################################
+# listDvipsPapers(void) - list paper definitions from config.ps
+#
listDvipsPapers()
{
grep '@ ' $configPsFile | sed "s/..//;s/ / '/;s/\$/' /"
@@ -521,16 +474,15 @@ listDvipsPapers()
###############################################################################
# getFormatsForHyphen(void)
# list all formats which have customizable hyphenation
-###############################################################################
+#
getFormatsForHyphen()
{
fmtutil --catcfg | awk '$3 != "-" {print $1}' | sort
}
###############################################################################
-# getRes(mode)
-# print resolution (both X and Y axis) to metafont mode
-###############################################################################
+# getRes(mode) - print resolution (both X and Y axis) to metafont mode
+#
getRes()
{
getResMode=$1
@@ -577,38 +529,64 @@ checkElemInList()
}
+# show version information from the distribution, if we have any.
+showDistVersionInfo()
+{
+ # TeX Live file.
+ test -f $MT_TEXMFMAIN/../release-texlive.txt \
+ && sed 1q $MT_TEXMFMAIN/../release-texlive.txt
+
+ # no harm in continuing to look for the teTeX files.
+ test -f $MT_TEXMFMAIN/release-tetex-src.txt \
+ && "teTeX-src release: `cat $MT_TEXMFMAIN/release-tetex-src.txt`"
+ test -f $MT_TEXMFDIST/release-tetex-texmf.txt \
+ && "teTeX-texmf release: `cat $MT_TEXMFDIST/release-tetex-texmf.txt`"
+}
+
+#
###############################################################################
# tcBatch(args)
# handle batch mode
###############################################################################
tcBatch()
{
- help="Usage: $progname conf
- $progname dvipdfmx paper PAPER
- $progname dvipdfm paper PAPER
- $progname dvips [options]
- $progname faq
+ help="texconfig supports adjusting and updating many aspects of
+the TeX installation.
+
+Usage: $progname conf (show configuration information)
+ $progname dvipdfmx paper PAPER (dvipdfmx paper size)
+ $progname dvipdfm paper PAPER (dvipdfm paper size)
+ $progname dvips [OPTION...] (dvips options)
+ $progname faq (show teTeX faq)
+ $progname findprog PROG... (show locations of PROGs, a la which)
$progname font vardir DIR
$progname font ro
$progname font rw
- $progname formats
- $progname hyphen FORMAT
- $progname init [formats]
- $progname mode MODE
- $progname paper PAPER
- $progname pdftex [options]
- $progname rehash
- $progname xdvi paper PAPER
-
-Get more help with
- $progname dvipdfmx paper
- $progname dvipdfm paper
+ $progname formats (edit fmtutil.cnf)
+ $progname help (or --help; show this help)
+ $progname hyphen FORMAT (edit hyphenation config for FORMAT)
+ $progname init [FORMAT]... (rebuild FORMATs, or all formats
+ plus run texlinks and updmap)
+ $progname mode MODE (set Metafont MODE)
+ $progname paper PAPER (set default paper size to PAPER)
+ $progname pdftex [OPTION]... (pdftex options)
+ $progname rehash (rebuild ls-R files with mktexlsr)
+ $progname version (or --version; show version info)
+ $progname xdvi paper PAPER (xdvi paper size)
+
+Get more help with:
+ $progname dvipdfmx
+ $progname dvipdfm
$progname dvips
$progname font
+ $progname hyphen
$progname mode
$progname paper
$progname pdftex
- $progname xdvi paper"
+ $progname xdvi
+
+See http://tug.org/texlive/ for other documentation, etc.
+Report bugs to <tex-k@tug.org>."
case $1 in
# texconfig conf
@@ -616,16 +594,7 @@ Get more help with
setupTexmfmain
setupTexmfdist
echo '=========================== version information =========================='
- if test -f $MT_TEXMFMAIN/release-tetex-src.txt; then
- echo "teTeX-src release: `cat $MT_TEXMFMAIN/release-tetex-src.txt`"
- else
- echo "teTeX-src release: (info not available)"
- fi
- if test -f $MT_TEXMFDIST/release-tetex-texmf.txt; then
- echo "teTeX-texmf release: `cat $MT_TEXMFDIST/release-tetex-texmf.txt`"
- else
- echo "teTeX-texmf release: (info not available)"
- fi
+ showDistVersionInfo
echo
echo '==================== binaries found by searching $PATH ==================='
echo "PATH=$PATH"
@@ -643,7 +612,7 @@ Get more help with
echoShowKpseVariable TEXMFMAIN TEXMFDIST TEXMFLOCAL TEXMFSYSVAR TEXMFSYSCONFIG TEXMFVAR TEXMFCONFIG TEXMFHOME VARTEXFONTS TEXMF SYSTEXMF TEXMFDBS WEB2C TEXPSHEADERS TEXCONFIG ENCFONTS TEXFONTMAPS
echo
- echo '==== kpathsea variables (from environment only; ok if no output here) ===='
+ echo '==== kpathsea variables from environment only (ok if no output here) ===='
echoShowVariable $envVars
;;
@@ -927,6 +896,11 @@ Valid MODE settings:"
fi
;;
+ findprog)
+ shift
+ ELB_PATH_ONLY=1 echoLocateBinary "$@"
+ ;;
+
# handle "texconfig font"
font)
help="Usage: $progname font vardir DIR
@@ -1049,7 +1023,8 @@ For more information about these \`features', consult the teTeX manual
texlinks --multiplatform || rc=1
fi
;;
- help)
+
+ help|--help|-h)
echo "$help"
;;
@@ -1142,11 +1117,19 @@ $formatsForHyphenFmt"
;;
init)
+ if test -n "$texconfig_sys"; then # set by texconfig-sys
+ fmtutil=fmtutil-sys
+ updmap=updmap-sys
+ else
+ fmtutil=fmtutil
+ updmap=updmap
+ fi
+
case $2 in
"")
- if fmtutil --all \
+ if $fmtutil --all \
&& texlinks --multiplatform \
- && updmap; then
+ && $updmap; then
:
else
rc=1
@@ -1155,7 +1138,7 @@ $formatsForHyphenFmt"
*)
shift 1
for i in "$@"; do
- fmtutil --byfmt "$i" || rc=1
+ $fmtutil --byfmt "$i" || rc=1
done
;;
esac
@@ -1209,13 +1192,10 @@ Valid PAPER settings:
p=$2; pXdvi=$2; pDvips=$2
case $2 in
- a4)
- pDvips=A4size
- ;;
letter)
- pDvips=letterSize
- pXdvi=us
- ;;
+ pXdvi=us;;
+ a4)
+ pXdvi=a4;;
"") echo "$help" >&2; rc=1; return;;
*)
echo "$progname: unknown PAPER \`$2' given as argument for \`$progname paper'" >&2
@@ -1311,6 +1291,14 @@ Valid PAPER settings:
rehash)
mktexlsr
;;
+
+ #
+ version|--version)
+ echo "$progname version $version"
+ setupTexmfmain
+ setupTexmfdist
+ showDistVersionInfo
+ (exit 0); exit 0;;
# handle "xdvi paper PAPER"
xdvi)